1

I'm able to play Youtube videos just fine but when I try to watch a livestream on Youtube I get the error: "Your browser does not currently recognize any of the video formats available. Click here to visit our frequently asked questions about HTML5 video."

When I go to that link they give me they tell me everything is fine with my browser.

Both Firefox and Ubuntu are updated.

Unable to find a solution...

Anyone else have this problem?

1
  • Try installing the Chrome.deb and running the same video in Chrome. That might bring with it the dependency Firefox needs. OR it will further prove the problem is in another piece of software and not the browser. Are you on Ubunut 20.04? Jun 28 '20 at 22:35
1

So, I was having the same problem as you. I first tried installing Chrome, as walttheboss suggested. I could watch a YouTube livestream in Chrome, but it didn't change Firefox's problem.

I then installed ubuntu-restricted-extras and it worked. I'm really a beginner in Ubuntu so I can't really pin down why exactly it works for me. From what I've gathered reading older questions about YouTube not working in Firefox,it might have something to do with FFmpeg (I'm not even sure what that is -- a software? a set of softwares? if someone could direct me to where I can learn about that, I'd be grateful).

Anyway, try installing ubuntu-restricted-extras and see if it works there.

1
  • Since I don't have enough rep, I can't directly comment on João Ruiz' answer, but I just wanted to add that his solution does indeed work. So in conclusion - install ubuntu-restricted-extras.
    – toomas696
    Feb 15 at 8:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.